ubuntu/+source/hplip:ubuntu/lucid-updates

Last commit made on 2014-01-21
Get this branch:
git clone -b ubuntu/lucid-updates https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/lucid-updates
Repository:
lp:ubuntu/+source/hplip

Recent commits

0005dcd... by Marc Deslauriers on 2014-01-20

Import patches-unapplied version 3.10.2-2ubuntu2.5 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: f6a2f27aabaa3b18f79e8f3a9be1496d03d91514

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.dpatch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402

f6a2f27... by Marc Deslauriers on 2013-09-27

Import patches-unapplied version 3.10.2-2ubuntu2.4 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: a5a4eefef27bfcd8d53e4d7705069fed7a2e0691

New changelog entries:
  * SECURITY UPDATE: arbitrary file overwrite via temp file vulnerability
    - debian/patches/CVE-2011-2722.dpatch: remove insecure code from
      prnt/hpijs/hpcupsfax.cpp.
    - CVE-2011-2722
  * SECURITY UPDATE: arbitrary file overwrite via temp file vulnerability
    - debian/patches/CVE-2013-0200.dpatch: use unpredictable temp file names
      in prnt/hpcups/HPCupsFilter.cpp, prnt/hpcups/SystemServices.cpp,
      prnt/hpijs/hpijs.cpp.
    - CVE-2013-0200
  * debian/patches/00patch-opts: remove deprecated U option so we can
    manipulate this package in saucy.

a5a4eef... by Marc Deslauriers on 2013-09-13

Import patches-unapplied version 3.10.2-2ubuntu2.3 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 61d2af111339095cca262c2dfc4fcdb9b4387a4f

New changelog entries:
  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - debian/patches/CVE-2013-4325.dpatch: pass system-bus-name as a
      subject instead of pid so policykit can get the information from the
      system bus in base/pkit.py.
    - CVE-2013-4325

61d2af1... by Marc Deslauriers on 2011-01-24

Import patches-unapplied version 3.10.2-2ubuntu2.2 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 4d5a28622d7980045213617f3a39a051ec546d29

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via long SNMP response
    - debian/patches/CVE-2010-4267.dpatch: validate dLen in io/hpmud/pml.c.
    - CVE-2010-4267

4d5a286... by Till Kamppeter on 2010-07-19

Import patches-unapplied version 3.10.2-2ubuntu2.1 to ubuntu/lucid-proposed

Imported using git-ubuntu import.

Changelog parent: 413cd025f160103197fef85da7ee41ba1d2aa354

New changelog entries:
  * debian/patches/black-stripes-on-pcl5c-printouts.dpatch: The PCL 5c
    driver (Color LaserJet) printed blank raster lines in black (LP: #561264).

413cd02... by Till Kamppeter on 2010-04-12

Import patches-unapplied version 3.10.2-2ubuntu2 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 2df4cbb6c9afc8669ba0daf86ac8498b6a408dd9

New changelog entries:
  * debian/hplip-dbg.install, debian/hplip.install, debian/control: Moved
    hp-check into hplip-dbg, as it is a debugging tool. Added dependency
    on libcups2-dev to hplip-dbg, as hp-check needs cups-config
    (LP: #530327).
  * debian/hplip-cups.postinst, debian/hpijs.postinst,
    debian/hpijs-ppds.postinst: Updated also PPDs with version numbers like
    3.10.2rc1.9.

2df4cbb... by Till Kamppeter on 2010-04-11

Import patches-unapplied version 3.10.2-2ubuntu1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: f9ff5ce5b9cb5756fd3837169d3e20a10543fa51

New changelog entries:
  * debian/control: As we use HPIJS as default printer driver flavor again,
    let the "hplip" package recommend the "hpijs" package and not the
    "hplip-cups" package.
  * debian/patches/remove-duplicate-entry-for-cp1700-in-drv-files.dpatch,
    debian/non-shipped-files.txt: Removed duplicate entry for the HP Color
    Inkjet Printer 1700, the wrong entry missed also the large (A3,
    SuperB, ...) paper sizes (LP: #290559).

f9ff5ce... by Mark Purcell on 2010-04-11

Import patches-unapplied version 3.10.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d21873be1dcb38b7efd070d901e6edfdac408cab

New changelog entries:
  * Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
    - CUPS requires user to be a member of lpadmin group. (Closes: #566692)
  * Patch hp-check to check for group membership of lp & lpadmin
    - Fixes "start/stop button should fail with permission error dialog if
    not member of lpadmin" (Closes: #572247)
  * Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
  * Fix "[hplip-cups] Page background is printed black" switch back to HPIJS as
    default driver (migrate hpcups queues to HPIJS) (Closes: #568377)
  * Fix "hpijs_readme.html mentioned in man page does not exist"
    - Removed reference (Closes: #561125)
  [ Till Kamppeter ]
  * debian/patches/make-commafy-correctly-work-with-python-2.dpatch:
    Installation of the proprietary plug-in did not work with some locales
    (LP: #525901).
  * debian/hplip-cups.postinst, debian/hpijs.postinst: Switch back to HPIJS as
    default driver (migrate hpcups queues to HPIJS) as there are new problems
    with hpcups (LP: #553573, LP: #539708, LP: #538031, LP: #405116).
  [ Mark Purcell ]
  * Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
    - CUPS requires user to be a member of lpadmin group. (Closes: #566692)
  * Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
  * Add bug/presubj to hplip-cups, hplip-gui & hpijs
  * Add hplip-cups.NEWS
  * bug/script provide status message before hp-check
  * Patch hp-check to check for group membership of lp & lpadmin
  * debian/patches/hp-systray-segfault-on-quit.dpatch: Fixed a hp-systray to
    not segfaulting when quitting the program (LP: #546816).
  * debian/patches/simple-scan-as-default.dpatch: Make simple-scan the default
    scanning frontend (LP: #539015).
  * debian/control: Added lsb-release to the build dependencies, as we use
    lsb_release to determine whether we build on Ubuntu, to do Ubuntu-specific
    steps.
  * debian/rules, debian/hplip.install: Install hp-plugin-ubuntu directly
    into debian/hplip/, as we cannot use debian/hplip.install for this Ubuntu-
    specific file.
  * debian/hplip.install: let /usr/bin/hp-plugin-ubuntu get installed.
  * debian/patches/hp-mkuri-take-into-account-already-installed-plugin-also-for-exit-value.dpatch:
    The hp-mkuri utility did not take into account whether the proprietary
    plugin is already installed when returning its exit value.
  * debian/patches/ubuntu-hp-mkuri-send-dbus-signal-to-update-notifier.dpatch,
    debian/patches/ubuntu-hp-mkuri-notification-text.dpatch: Replaced the
    Ubuntu-specific patch for hp-mkuri, as we do not need to send a D-Bus
    message any more.

d21873b... by Mark Purcell on 2010-03-02

Import patches-unapplied version 3.10.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b50ffdc011ed54befd737616dadf64e1e1357201

New changelog entries:
  * New Upstream Release
  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch
    - Fixes "/lib/udev/rules.d/56-hpmud_support.rules: udev warnings:
    SYSFS{}= will be removed in a future udev version..." (Closes: #559289)
  * New upstream release
     o Final 3.10.2 release
     o Removed device IDs from the PostScript PPDs again
     o Support for *.types and *.convs files in /usr/share/cups/mime/
  * debian/hplip.install: "make install" puts *.types and *.convs files into
    /usr/share/cups/mime/ now.
  * debian/hpijs.postinst: Corrected regexps for the PPD NickName so that this
    package does not migrate existing hpcups-based fax queues to HPIJS.
  * debian/hplip.preinst: when removing old udev rules, handle files that
    are marked as obsolete when checking md5sums.
  * debian/rules: Copy all fax PPDs, there are "Fax3" PPDs now and there will
    come more in the future.
  * debian/hplip.install: Install also the new pstotiff filter (for fax) and
    the corresponding *.types and *.convs files.
  * New upstream pre-release
     o The hpcups driver information file (hpcups.drv) is updated for the
       devices listed below to align with the product specifications.
       Capabilities like print modes, paper sizes, trays, mechanical offsets,
       margins, overspray and UIConstraints are consistent with the product
       specifications. Affected printers: HP Photosmart Premium Fax All-in-One
       C309a, C309c, Photosmart Premium All-in-One C309g, C309h, Photosmart
       C53xx, C63xx, D7560, B85xx, Officejet 6000 Printer E609n, E609a,
       Officejet 6500 All-in-One Printer E709a, E709c, E709n, E709q.
     o Added support for: HP Officejet 4500 All-in-one Printer g510a, g510b,
       g510g, g510h
     o Added fax support for HP LaserJet m1319f
     o Added 1284DeviceID for duplicate PostScript PPD's
  * debian/patches/85_rebuild_python_ui.dpatch: Regenerated for new upstream
    version.
  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch,
    debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch:
    56-hpmud_support.rules id not call "hp-mkuri" any more with curent udev.
    Added fix to the existing patch for 56-hpmud_support.rules and renamed
    the patch.
  * debian/local/scripts/hp-plugin-ubuntu, debian/rules: Added script for
    downloading and installing HP's proprietary plugin on Ubuntu systems,
    taking into account that many systems do not have python-qt installed
    and some do not have X. This script is supposed to get called by
    update-notifier when triggered by udev on a connection of a printer
    which needs the plugin. This script will only be installed when the package
    gets built on Ubuntu.
  * debian/patches/ubuntu-hp-mkuri-send-dbus-signal-to-update-notifier.dpatch:
    Let hp-mkuri not simply generate a notification message when HP's
    proprietary plugin is needed for the newly connected printer but also
    send a D-Bus message to update-notifier to execute the installation
    of the plugin.
  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch: Convert
    remaining $sysfs string, too
  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch: Don't use
    deprecated syntax (LP: #491346)
  * Merged changes from Debian.
  * debian/control: hpcups (package hplip-cups) works without the hplip package
    as well (even 4-edge borderless on arbitrary paper sizes on HP inkjets),
    moved the dependency on hplip to Suggests.

b50ffdc... by Mark Purcell on 2009-12-28

Import patches-unapplied version 3.9.12-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 12c19bc79666a64639645856a396bd6777977c54

New changelog entries:
  * NEW package libhpmud0 - splits hard dependency between hpijs & hplip
    - Fix "hpijs linked against libhpmud.so.0 in hplip package - brings
    large (14Mb) depends" (Closes: #454117)
    - Fix "automatically got a systray app which I don't need" (Closes: #484801)
    - Fix "depends (via hplip) on cups, to no purpose" (Closes: #561134)
  * Soften bug/presubj. Fixes "requiring authentication" (Closes: #494420)
  * dh_desktop-is-deprecated - removed
  * dh_python obsolete as dh_pysupport exists
  * Add debian/README.source - fixes patch-system-but-no-source-readme
    - Upgrade to Standards-Version: 3.8.3